<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<?php
	include_once("check_login.php");
	include_once("include/config.php");
	$type = trim($_GET["type"]);
	$id = intval(trim($_GET["id"]));
	if(!check_is_numb($id) || $id < 1)
		show_err("删除时传来的ID参数出错了");
	switch($type){
		case "honner":
			if(!$hm_arr = get_hm_imgs("honner"))
				show_err("系统中找不到该荣誉图片");
			else{
				if(file_exists(ROOT_PATH . "honner/big/" . $hm_arr[0][1]))
					unlink(ROOT_PATH . "honner/big/" . $hm_arr[0][1]);
				if(file_exists(ROOT_PATH . "honner/small/" . $hm_arr[0][1]))
					unlink(ROOT_PATH . "honner/small/" . $hm_arr[0][1]);
				//从数据库中删除该荣誉图片
				mysql_query("delete from hmcss_img where img_id = $id")
					or show_err("删除荣誉图片出错，请联系管理员");
				show_err("该荣誉图片已成功删除","reff");
			}
			break;
		case "best":
			if(!$hm_arr = get_hm_imgs("honner"))
				show_err("系统中找不到该实力展示图片");
			else{
				if(file_exists(ROOT_PATH . "honner/big/" . $hm_arr[0][1]))
					unlink(ROOT_PATH . "honner/big/" . $hm_arr[0][1]);
				if(file_exists(ROOT_PATH . "honner/small/" . $hm_arr[0][1]))
					unlink(ROOT_PATH . "honner/small/" . $hm_arr[0][1]);
				//从数据库中删除该荣誉图片
				mysql_query("delete from hmcss_img where img_id = $id")
					or show_err("删除实力展示图片出错，请联系管理员");
				show_err("该实力展示图片已成功删除","reff");
			}
			break;
		case "flash":
			if(!$hm_arr = get_hm_imgs("flash"))
				show_err("系统中找不到该幻灯图片");
			else{
				if(file_exists(ROOT_PATH . "flash_pic/" . $hm_arr[0][1]))
					unlink(ROOT_PATH . "flash_pic/" . $hm_arr[0][1]);
				//从数据库中删除该图片
				mysql_query("delete from hmcss_img where img_id = $id")
					or show_err("删除幻灯图片出错，请联系管理员");
				set_flash_xml();
				show_err("该幻灯图片已成功删除","reff");
			}
			break;
		case "type"://删除产品分类
			if(check_is_numb($id)){
				//查是否还有子分类没删除
				$filter_arr[0] = array("2",$id,false);
				if($hm_arr = get_product_t($filter_arr))
					show_err("请先删除该分类下的子分类");
				else{
					//查看该类下有无产品
					$filter_arr[0] = array("1",$id,false);
					if($hm_arr = get_product($filter_arr))
						show_err("请先删除该分类下的产品");
					else{
						//删除该分类
						mysql_query("delete from hmcss_product_type where t_id = $id")
							or show_err("删除分类出错，请联系管理员");
						show_err("该分类已成功删除","set_product_type.php");
					}
				}
			}
			else
				show_err("删除分类传来的ID出错");
			break;
		case "p_pic"://删除产品图片
			trim($_GET["p_str"])? $p_str = trim($_GET["p_str"]): show_err("源文件名不能是空,请返回重新操作");
			//检查要删除的文件
			$p_arr = explode(".",$p_str);
			if(count($p_arr) != 2)
				show_err("你要删除的文件名有问题,请返回重新操作");
			//查看是否存在该产品
			$filter_arr[0] = array("0",$id,false);
			if(!$hm_arr = get_product($filter_arr))
				show_err("系统中没有对应的产品");
			$sql_str = "";
			$pics_str = str_ireplace("||","|",str_ireplace($p_str,"",$hm_arr[0][8]));
			$pics_str = trim($pics_str,"|");
			$p_str == $hm_arr[0][7] ? $sql_str = "p_main_pic = '',p_pics = '$pics_str'" : $sql_str = "p_pics = '$pics_str'";
			mysql_query("update hmcss_product set $sql_str where p_id = $id")
				or show_err("从系统库中删除该产品图片出错");
			$ext_arr = array("jpg","jpeg","gif","png","bmp");
			if(!check_is_numb($p_arr[0]) || !in_array(strtolower($p_arr[1]),$ext_arr))
				show_err("您不能删除该文件,请联系管理员");
			if(file_exists("../product/small/" . $p_str))
				unlink("../product/small/" . $p_str);
			if(file_exists("../product/big/" . $p_str))
				unlink("../product/big/" . $p_str);
			show_err("该产品图片已成功删除","set_product_img.php?p_id=$id");
			break;
		case "product":
			$filter_arr[0] = array("0",$id,false);
			if(!$hm_arr = get_product($filter_arr))
				show_err("系统中不存在该产品");
			else{
				//删除该产品的所有图片
				$pic_arr = $hm_arr[0][8] ? explode("|",$hm_arr[0][8]) : "";
				if($pic_arr){
					foreach($pic_arr as $key => $val){
						if(file_exists("../product/small/" . $val))
							unlink("../product/small/" . $val);
						if(file_exists("../product/big/" . $val))
							unlink("../product/big/" . $val);
					}
				}
				//从数据库中删除该产品
				mysql_query("delete from hmcss_product where p_id = $id")
					or show_err("删除产品出错，请联系管理员");
				show_err("该产品已成功删除","reff");
			}
			break;
		case "ly":
			//从数据库中删除该产品
			mysql_query("delete from hmcss_ly_main where ly_id = $id")
				or show_err("删除留言出错，请联系管理员");
			show_err("该留言已成功删除","../online_ly.php");
			break;
		case "job_d":
			$filter_arr[0] = array("0",$id,false);
			if(!$hm_arr_d = get_job_d($filter_arr))
				show_err("系统中没有该应聘信息，请返回重新操作");
			//从数据库中删除该产品
			mysql_query("delete from hmcss_job_detail where job_d_id = $id")
				or show_err("删除应聘信息出错，请联系管理员");
			show_err("该应聘信息已成功删除","set_job_list_d.php?job_id=" . $hm_arr_d[0][1]);
			break;
		case "job":
			//删除该职位的所有应聘信息
			mysql_query("delete from hmcss_job_detail where job_id = $id")
				or show_err("删除该职位的应聘信息出错，请联系管理员");
			//删除该招聘信息
			mysql_query("delete from hmcss_job_main where job_id = $id")
				or show_err("删除招聘信息出错，请联系管理员");
			show_err("已成功删除该招聘信息及相关的应聘信息","set_job_list.php");
			break;
		case "news":
			//删除该新最
			mysql_query("delete from hmcss_news where news_id = $id")
				or show_err("删除该新闻出错，请联系管理员");
			show_err("已成功删除该新闻","set_news_list.php");
			break;
	}
?>